Subject: Re: configure: error: invalid package name: extra-includes
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Ekberg" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Aug 2004 14:52:09 +0200

Peter wrote:

> Hi list!

> I have a problem with a configure script. It works like a charm most of
> the time, but something seems to trigger a bug. I can work around the
> bug by inserting extra spaces (or moving/removing them) between the
> configure arguments.

> Pasting some lines from the shell:

> ~/ggi-cygwin/libgii$ ../../ggi3/ggi-core/libgii/configure --prefix=/usr
> -C  --with-extra-includes=/cygdrive/c/dx9csdk/include
> configure: error: invalid package name: extra-includes
> ~/ggi-cygwin/libgii$ ../../ggi3/ggi-core/libgii/configure --prefix=/usr
> -C  --with-extra-includes=/cygdrive/c/dx9csdk/include
> configure: loading cache config.cache
> checking for a BSD-compatible install... (cached) /usr/bin/install -c
> (I hit ^C)

> Note the extra space after the -C argument.

> Sometimes I have to use less extra spaces, like this:
> ~/ggi-cygwin/libgii$ ../../ggi3/ggi-core/libgii/configure --prefix=/usr
> -C --with-extra-includes=/cygdrive/c/dx9csdk/include

> Note that neither of these invocations work every time. I have
> successfully tried all of them at some point though, so none of them are
> always failing either. That seems to depend on if configure script has
> been regenerated though, but it can also be the phase of the moon...
> The directory names also seem relevant, that's why I have included
> complete paths. Please try with different number of spaces between
> arguments to try to trigger the bug before giving up.

> I have not attached the configure script in question as it is rather
> large. Instead it can be downloaded from
> http://www.lysator.liu.se/~peda/configure
> Here is a chain of commands to get a slimmed down environment for
> testing it.

> ~$ mkdir ggi3
> ~$ mkdir ggi3/ggi-core
> ~$ mkdir ggi3/ggi-core/libgii
> ~$ mkdir ggi3/ggi-core/libgii/input
> ~$ mkdir ggi3/ggi-core/libgii/input/stdin
> ~$ mkdir ggi3/ggi-core/libgii
> ~$ mkdir ggi-cygwin
> ~$ mkdir ggi-cygwin/libgii
> ~$ touch ggi3/ggi-core/libgii/input/stdin/input.c
> ~$ wget http://www.lysator.liu.se/~peda/configure -O
> ggi3/ggi-core/libgii/configure
> ~$ chmod +x ggi3/ggi-core/libgii/configure
> ~$ cd ggi-cygwin/libgii
> ~/ggi-cygwin/libgii$ ../../ggi3/ggi-core/libgii/configure --prefix=/usr
> -C --with-extra-includes=/cygdrive/c/dx9csdk/include

> With this slimmed down environment the bug is triggered when you see:
> configure: error: invalid package name: extra-includes

> The bug is not triggered when you see:
> configure: loading cache config.cache
> configure: error: cannot find install-sh or install.sh in
> ../../ggi3/ggi-core/libgii ../../ggi3/ggi-core/libgii/..
> ../../ggi3/ggi-core/libgii/../..

> The last error is of course due to the slimmed down environment, the
> relevant thing to note is that the script got around to load the cache.

> You're of course all welcome to grab cvs-head of ggi-core for the
> complete test case (see http://sourceforge.net/projects/ggi/ for
> details).

> I do not seem to be alone with problems in this area, see:
> http://www.ethereal.com/lists/ethereal-users/200309/msg00163.html
> http://sulaco.hrhansen.dk/pipermail/kimdaba/2004-March/000309.html

> This post can also be related:
> http://www.cygwin.com/ml/cygwin/2003-10/msg00556.html

> Any suggestions? Is it reproducable?

The last time I tried to build ggi-project failed with compilation
errors.  That probably means that I was able to configure it or parts of
it.

I always update the autogenerated part when a package is going to
build shared libraries, try: autoreconf --install --force --verbose in
the source directory.  Well, you do this anyway when building from CVS?

Which version of configure, automake, libtool are you using?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/